public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/google-protobuf/
Date: Tue, 15 Sep 2020 06:00:47 +0000 (UTC)	[thread overview]
Message-ID: <1600147443.a8fcdb36cb16f34d4dc151a5f15f8fe6c3186e7c.graaff@gentoo> (raw)

commit:     a8fcdb36cb16f34d4dc151a5f15f8fe6c3186e7c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 15 05:24:03 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Tue Sep 15 05:24:03 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8fcdb36

dev-ruby/google-protobuf: add 3.12.4

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/google-protobuf/Manifest                  |  1 +
 .../google-protobuf/google-protobuf-3.12.4.ebuild  | 40 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/dev-ruby/google-protobuf/Manifest b/dev-ruby/google-protobuf/Manifest
index f8fec5915e9..d781ac5f2d5 100644
--- a/dev-ruby/google-protobuf/Manifest
+++ b/dev-ruby/google-protobuf/Manifest
@@ -1,3 +1,4 @@
 DIST google-protobuf-3.10.1-ruby.tar.gz 4905995 BLAKE2B 1dde3b6260918da8430c2ce69210462f339c492b2a4e53d5d9c1bea3747aead905370507fc4bd703560f6885c0f3f8393a998b875c19744ad94827109ecbb49f SHA512 aba0c4034c0d3b1759904adb6270eee94dd5dc568f433b219e3f1f70c0033993cdfa3bf476ad3f5767c7629edb9fd029c686405abf93731dde808286b336330d
 DIST google-protobuf-3.11.4-ruby.tar.gz 5140799 BLAKE2B 97b450c0623593efe6a42b66582ff183344b8831689e6a5b4d36096dbd57c33da9569bbf26578536aaf73ecd866ac0588b6cb7d55a6a9b9a6e840d4c57099001 SHA512 777bbb0e9e2375eaebe6b8c87abd660bac70ee469c9ad00dd25917b82d7fb5bbe33cf87f0d69c90e19d55c07a7285ec20974ba4768623ce9ccfadf147fd5e261
+DIST google-protobuf-3.12.4-ruby.tar.gz 5310348 BLAKE2B 2630941672963165467221843c10079a0ed966f2fdfcbc970b0b41e1ed3c7f78734496c1fbd3ec509c68999a14f637fff267b309cf82a8acf2bb5a948484f79b SHA512 c5d24502b9a6be0a606a19213186fe462e0de6830547003636f0897781f36d0bd7e4e7d9689d96390a0399ce04b6438cda3a0fe6f97f0feb700a110e90beef0c
 DIST google-protobuf-3.8.0-ruby.tar.gz 4934577 BLAKE2B 4b86ab216e8a8b2c99c3620da9417c0562498e9d4dbf4957db186f51c62b0ed73b1322635a076b2d4054e015bdf6c8c50cc7fd0cb78d24a93b29d2a5b48f66fe SHA512 ba27c64e5193cd4a144bf0c9dc0d195fbbe6e580aaca01960362f0f185074588ca40046d3bcea76e1deae7508b722f6c5be484ea957122ae8e98229c7c3a4ad2

diff --git a/dev-ruby/google-protobuf/google-protobuf-3.12.4.ebuild b/dev-ruby/google-protobuf/google-protobuf-3.12.4.ebuild
new file mode 100644
index 00000000000..3787f73873a
--- /dev/null
+++ b/dev-ruby/google-protobuf/google-protobuf-3.12.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Protocol Buffers are Google's data interchange format"
+HOMEPAGE="https://developers.google.com/protocol-buffers"
+SRC_URI="https://github.com/protocolbuffers/protobuf/archive/v${PV}.tar.gz -> ${P}-ruby.tar.gz"
+RUBY_S="protobuf-${PV}/ruby"
+
+LICENSE="BSD"
+SLOT="3"
+KEYWORDS="~amd64"
+IUSE=""
+
+DEPEND+=" test? ( >=dev-libs/protobuf-3.12.0 )"
+
+all_ruby_prepare() {
+	sed -e '/extensiontask/ s:^:#:' \
+		-e '/ExtensionTask/,/^  end/ s:^:#:' \
+		-e 's:../src/protoc:protoc:' \
+		-e 's/:compile,//' \
+		-i Rakefile || die
+}
+
+each_ruby_configure() {
+	${RUBY} -Cext/google/protobuf_c extconf.rb
+}
+
+each_ruby_compile() {
+	emake -Cext/google/protobuf_c V=1
+	cp ext/google/protobuf_c/protobuf_c.so lib/google/ || die
+}


             reply	other threads:[~2020-09-15  6:00 UTC|newest]

Thread overview: 40+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-15  6:00 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-05 20:35 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/google-protobuf/ Sam James
2025-01-05 20:35 Sam James
2024-09-05  2:12 Sam James
2024-08-31  9:14 Hans de Graaff
2024-08-21  9:19 Joonas Niilola
2024-07-28  6:52 Hans de Graaff
2024-01-31 12:54 Joonas Niilola
2023-12-27 20:00 Hans de Graaff
2023-08-27 18:56 Arthur Zamarin
2023-07-18 10:09 Hans de Graaff
2023-06-30  9:27 Hans de Graaff
2023-06-29 15:16 Hans de Graaff
2023-04-13  3:03 Sam James
2023-04-13  3:03 Sam James
2022-11-08  6:12 Hans de Graaff
2022-04-10  4:56 Hans de Graaff
2021-10-31  5:57 Hans de Graaff
2021-03-13  7:08 Hans de Graaff
2021-03-13  7:08 Hans de Graaff
2021-01-10  7:51 Hans de Graaff
2021-01-10  7:51 Hans de Graaff
2020-09-15  6:00 Hans de Graaff
2020-05-16  5:46 Hans de Graaff
2020-05-16  4:41 Hans de Graaff
2020-02-15  7:45 Hans de Graaff
2020-02-04  6:29 Hans de Graaff
2020-02-04  6:29 Hans de Graaff
2019-12-14  6:45 Hans de Graaff
2019-12-04  6:05 Hans de Graaff
2019-11-26 19:38 Hans de Graaff
2019-11-16  9:13 Hans de Graaff
2019-10-31  6:49 Hans de Graaff
2019-10-03  6:07 Hans de Graaff
2019-10-03  6:07 Hans de Graaff
2019-09-25  6:11 Hans de Graaff
2019-08-07  5:11 Hans de Graaff
2019-07-14  6:32 Hans de Graaff
2019-06-02  6:01 Hans de Graaff
2018-10-21  8:58 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1600147443.a8fcdb36cb16f34d4dc151a5f15f8fe6c3186e7c.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox